2019-03-22 07:03 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002274NetSurfRISC OS-specificpublic2016-02-16 15:09
ReporterPeter Young 
Assigned To 
SeverityminorReproducibilityrandom 
StatusclosedResolutionfixed 
PlatformRISC OSOSRISC OS 5.19OS Version5.19
Product Version 
Target VersionFixed in Version3.4 
Summary0002274: Malformed displays due to delayed loading of CSS files.
DescriptionI have found this happening at random on loading www.mssociety.org.uk/cheltenham but others have found the same happening on other sites that use CSS. At random, this page renders badly formatted. It seem, as people cleverer than I have found, that this is due to the CSS files not being loaded in time for the page to be rendered. Indeed, one of the clever people has found that if the CSS files can be recovered, run, and the page is now refreshed, it renders correctly.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #2600
URL of problem pagewww.mssociety.org.uk/cheltenham
Attached Files

-Relationships
+Relationships

-Notes
Michael Drake

~0000604

Michael Drake (administrator)

Timed out fetching the CSS file.
Vincent Sanders

~0000607

Vincent Sanders (administrator)

Sorry if the previous seemed a bit short but its really a note for the
developers to remind ourselves what is going on.

The "missing" CSS files
in your case are failing to download. The curl library we use to
actually do all the http/https network access is reporting an error
code that tells us the fetch of the CSS file timed out.
                                                                                                                   
This points to a network issue, now that may be an issue with the RISC
OS network stack interacting with the remote server or simply a
transient error where the connection could not be established.
                                                                                                                   
Debugging networking issues like this is very challenging, especially
on unmaintained niche networking stacks like RISC OS. TCP/IP is an
evolving protocol and sometimes implementations are not completely
backward compatible.
                                                                                                                   
To properly debug this it would be necessary to put a network protocol
analyser on your local network (like wireshark) and perform a full
session analysis which might take a great deal of time to decode.
                                                                                                                   
As NetSurf developers cannot practically do this at best all we can do
is ensure our usage of libcurl is correct and deal with the missing
resources.
                                                                                                                   
The browser itself is correctly handling the missing resource and
showing the page without styling so technically there is no bug within
NetSurf.
Peter Young

~0000944

Peter Young (reporter)

It looks as if this problem has been fixed in #2968. Many thanks.
Vincent Sanders

~0001284

Vincent Sanders (administrator)

Confirmed resolved in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-02-20 17:01 Peter Young New Issue
2015-02-20 17:01 Peter Young File Added: Logfle.zip
2015-02-20 21:53 Michael Drake Note Added: 0000604
2015-02-22 12:07 Vincent Sanders Note Added: 0000607
2015-02-22 12:07 Vincent Sanders Status new => acknowledged
2015-10-02 09:19 Peter Young Note Added: 0000944
2015-10-30 14:38 Vincent Sanders Status acknowledged => resolved
2015-10-30 14:38 Vincent Sanders Resolution open => fixed
2015-10-30 14:38 Vincent Sanders Fixed in Version => 3.4
2016-02-16 15:09 Vincent Sanders Note Added: 0001284
2016-02-16 15:09 Vincent Sanders Status resolved => closed
+Issue History